
Foreman - Feature #36849

Run Foreman tests on Ruby 3.0

10/20/2023 01:41 PM - Oleh Fedorenko

Status: Closed   

Priority: Normal   

Assignee: Oleh Fedorenko   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 3.10.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9989

  

Description

Related issues:

Blocked by Foreman - Feature #37087: Prepare STI usage to be compatible with ... Closed

Follows Foreman - Feature #36913: Set up GHA with matrix to run test on Ruby 2.7 Closed

Associated revisions

Revision 441f20a8 - 01/03/2024 12:26 PM - Ewoud Kohl van Wijngaarden

Refs #36849 - Correct kwargs handling in documentation_button

Fixes: b566ea8ab3c5 ("Fixes #32848 - Support linking to docs.theforeman.org")

Revision 2198394b - 01/03/2024 12:26 PM - Oleh Fedorenko

Refs #36849 - Fix Ruby 3 kwargs handling

Revision 75017ef2 - 01/03/2024 12:26 PM - Oleh Fedorenko

Refs #36849 - Remove deprecated URI.{encode,decode}

These are dropped in Ruby 3.0

Revision 4259abb7 - 01/12/2024 10:25 AM - Oleh Fedorenko

Refs #36849 - Update tests for documentation_url

Revision 0e0c29b1 - 02/01/2024 09:23 PM - Oleh Fedorenko

Fixes #36849 - Run GHA on Ruby 3.0

Revision 47288398 - 02/01/2024 09:23 PM - Oleh Fedorenko

Refs #36849 - Enable strict keyword argument matching

History

#1 - 10/20/2023 02:12 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9871 added

#2 - 11/10/2023 05:46 PM - Oleh Fedorenko

- Follows Feature #36913: Set up GHA with matrix to run test on Ruby 2.7 added

#3 - 11/24/2023 12:45 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9923 added
#4 - 01/03/2024 11:48 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9975 added

#5 - 01/12/2024 10:06 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9992 added

#6 - 01/18/2024 12:34 PM - The Foreman Bot

- Pull request deleted (https://github.com/theforeman/foreman/pull/9871, https://github.com/theforeman/foreman/pull/9923,

https://github.com/theforeman/foreman/pull/9975, https://github.com/theforeman/foreman/pull/9992)

#7 - 01/18/2024 02:07 PM - Oleh Fedorenko

- Status changed from Ready For Testing to Assigned

#8 - 01/18/2024 03:40 PM - Oleh Fedorenko

- Subject changed from Setup temporal GA to test on Ruby 3.0 to Run Foreman tests on Ruby 3.0

#9 - 01/23/2024 02:23 PM - Oleh Fedorenko

- Blocked by Feature #37087: Prepare STI usage to be compatible with Ruby 3.0 added

#10 - 01/24/2024 01:14 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9989 added

#11 - 02/01/2024 09:23 PM - The Foreman Bot

- Fixed in Releases 3.10.0 added

#12 - 02/01/2024 10:00 PM - Oleh Fedorenko

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|0e0c29b18f6519b39f838ce1c41fbad9e78529d6.

Powered by TCPDF (www.tcpdf.org)

05/20/2024 2/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/0e0c29b18f6519b39f838ce1c41fbad9e78529d6
http://www.tcpdf.org

